<?php

namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Teknisa\MAN\Utilities;

class RelSetorProducaoKDS {

	public function __construct(Connection $conn) {
        $this->conn = $conn;
    }
    
    public function find( $filterParams ) {
        
        $params = array (
         	":CDFILIAL"     => $filterParams['CDFILIAL'],
         	":CDLOJA"       => $filterParams['CDLOJA'],
         	":TCDLOJA"      => $filterParams['TCDLOJA'],
         	":DATAINI"      => $filterParams['DATAINI'],
         	":DATAFIN"      => $filterParams['DATAFIN'],
         	":MODALIDADE"   => $filterParams['MODALIDADE'],
         	":NRORG"        => $filterParams['NRORG']
 		);
 		
 		return $this->conn->fetchAll(self::GET_SINTESE_FATURAMENTO, $params);
    }
}