<?php
namespace Teknisa\MAN\Factories\Management\Entities\Base;

class Operador extends \Setforms2\Shared\ORM\BasicEntity
{

    protected $idstatusenha;
    protected $dtnascimento;
    protected $cdprochablanope;
    protected $nmcomploper;
    protected $idoperacesso;
    protected $cdoperador;
    protected $cdsenhaoperweb;
    protected $cdbancoper;
    protected $dtultatu;
    protected $idligextoper;
    protected $idcadpraprovore;
    protected $dtultacesoper;
    protected $cdsenemailop;
    protected $cdsenhoper;
    protected $cdprochabaprope;
    protected $dsemailoper;
    protected $idfuninioper;
    protected $idopermaster;
    protected $cdoperultatu;
    protected $nrorginclusao;
    protected $idativo;
    protected $idsenhvardia;
    protected $nrperfilselecionado;
    protected $nrparcnegocio;
    protected $cdcliente;
    protected $cdfunc;
    protected $cdmunicipio;
    protected $nmbairoper;
    protected $nmoperador;
    protected $cdoperesplibsen;
    protected $idcadprproceore;
    protected $sgestado;
    protected $hriniageoper;
    protected $cdccoroper;
    protected $idatuoperador;
    protected $dtultatusenh;
    protected $cdfilialselecionada;
    protected $nrorg;
    protected $nrcelularoper;
    protected $nrorgultatu;
    protected $cdempresa;
    protected $cdoperinclusao;
    protected $cdagenoper;
    protected $dtinclusao;
    protected $nrramaloper;
    protected $hrfimageoper;
    protected $dtultatuoper;
    protected $nrorgselecionada;
    protected $nmacesso;
    protected $dsendeoper;
    protected $nroperrede;
    protected $cdcargo;
    protected $nrteleoper;
    protected $cdprochabfecope;
    protected $cdsetor;
    protected $idoperativo;
    protected $cdpais;
    protected $nrcepoper;
    protected $idtpoperador;
    protected $nrorgfilial;
    protected $nrorgtrab;
    protected $nrestruttrab;
    protected $ididioma;
    protected $sgoperador;
    /** @var \Geral\Entities\Filial */
    protected $filialselecionada = null;
    /** @var \Geral\Entities\Cliente */
    protected $cliente = null;
    /** @var \Geral\Entities\Organizacao */
    protected $orgselecionada = null;
    /** @var \Geral\Entities\Parcnegocio */
    protected $parcnegocio = null;
    /** @var \Geral\Entities\Municipio */
    protected $municipio = null;
    /** @var \Geral\Entities\Cargo */
    protected $cargo = null;
    /** @var \Geral\Entities\Funcionario */
    protected $func = null;
    /** @var \Geral\Entities\Setor */
    protected $setor = null;
    /** @var \Geral\Entities\Operador */
    protected $operesplibsen = null;
    /** @var \Geral\Entities\Perfilacesso */
    protected $perfilselecionado = null;
    /** @var \Geral\Entities\Organizacao */
    protected $orgtrab = null;
    /** @var \Geral\Entities\Tradidioma */
    protected $idioma = null;
    /** @var \Geral\Entities\Estruturam */
    protected $estruttrab = null;


    public function __construct() {
		$this->idstatusenha = 'A' ;
		$this->idoperacesso = '000000000000000000000000000000';
		$this->idligextoper = 'N' ;
		$this->idcadpraprovore = 'N' ;
		$this->idopermaster = 'N'  ;
		$this->idativo = 'S' ;
		$this->idsenhvardia = 'N'  ;
		$this->idcadprproceore = 'N' ;
		$this->idatuoperador = 'S' ;
		$this->dtultatuoper = new \Setforms2\Shared\ORM\DateTime();
		$this->idoperativo = 'A'  ;

    }


    public function getIdstatusenha () {
        return $this->idstatusenha;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdstatusenha ($idstatusenha) {
        $this->idstatusenha = $idstatusenha;
        return $this;
    }

    public function getDtnascimento () {
        return $this->dtnascimento;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtnascimento ($dtnascimento) {
        $this->dtnascimento = $dtnascimento;
        return $this;
    }

    public function getCdprochablanope () {
        return $this->cdprochablanope;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdprochablanope ($cdprochablanope) {
        $this->cdprochablanope = $cdprochablanope;
        return $this;
    }

    public function getNmcomploper () {
        return $this->nmcomploper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNmcomploper ($nmcomploper) {
        $this->nmcomploper = $nmcomploper;
        return $this;
    }

    public function getIdoperacesso () {
        return $this->idoperacesso;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdoperacesso ($idoperacesso) {
        $this->idoperacesso = $idoperacesso;
        return $this;
    }

    public function getCdoperador () {
        return $this->cdoperador;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdoperador ($cdoperador) {
        $this->cdoperador = $cdoperador;
        return $this;
    }

    public function getCdsenhaoperweb () {
        return $this->cdsenhaoperweb;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdsenhaoperweb ($cdsenhaoperweb) {
        $this->cdsenhaoperweb = $cdsenhaoperweb;
        return $this;
    }

    public function getCdbancoper () {
        return $this->cdbancoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdbancoper ($cdbancoper) {
        $this->cdbancoper = $cdbancoper;
        return $this;
    }

    public function getDtultatu () {
        return $this->dtultatu;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtultatu ($dtultatu) {
        $this->dtultatu = $dtultatu;
        return $this;
    }

    public function getIdligextoper () {
        return $this->idligextoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdligextoper ($idligextoper) {
        $this->idligextoper = $idligextoper;
        return $this;
    }

    public function getIdcadpraprovore () {
        return $this->idcadpraprovore;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdcadpraprovore ($idcadpraprovore) {
        $this->idcadpraprovore = $idcadpraprovore;
        return $this;
    }

    public function getDtultacesoper () {
        return $this->dtultacesoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtultacesoper ($dtultacesoper) {
        $this->dtultacesoper = $dtultacesoper;
        return $this;
    }

    public function getCdsenemailop () {
        return $this->cdsenemailop;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdsenemailop ($cdsenemailop) {
        $this->cdsenemailop = $cdsenemailop;
        return $this;
    }

    public function getCdsenhoper () {
        return $this->cdsenhoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdsenhoper ($cdsenhoper) {
        $this->cdsenhoper = $cdsenhoper;
        return $this;
    }

    public function getCdprochabaprope () {
        return $this->cdprochabaprope;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdprochabaprope ($cdprochabaprope) {
        $this->cdprochabaprope = $cdprochabaprope;
        return $this;
    }

    public function getDsemailoper () {
        return $this->dsemailoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDsemailoper ($dsemailoper) {
        $this->dsemailoper = $dsemailoper;
        return $this;
    }

    public function getIdfuninioper () {
        return $this->idfuninioper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdfuninioper ($idfuninioper) {
        $this->idfuninioper = $idfuninioper;
        return $this;
    }

    public function getIdopermaster () {
        return $this->idopermaster;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdopermaster ($idopermaster) {
        $this->idopermaster = $idopermaster;
        return $this;
    }

    public function getCdoperultatu () {
        return $this->cdoperultatu;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdoperultatu ($cdoperultatu) {
        $this->cdoperultatu = $cdoperultatu;
        return $this;
    }

    public function getNrorginclusao () {
        return $this->nrorginclusao;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorginclusao ($nrorginclusao) {
        $this->nrorginclusao = $nrorginclusao;
        return $this;
    }

    public function getIdativo () {
        return $this->idativo;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdativo ($idativo) {
        $this->idativo = $idativo;
        return $this;
    }

    public function getIdsenhvardia () {
        return $this->idsenhvardia;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdsenhvardia ($idsenhvardia) {
        $this->idsenhvardia = $idsenhvardia;
        return $this;
    }

    public function getNrperfilselecionado () {
        return $this->nrperfilselecionado;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrperfilselecionado ($nrperfilselecionado) {
        $this->nrperfilselecionado = $nrperfilselecionado;
        return $this;
    }

    public function getNrparcnegocio () {
        return $this->nrparcnegocio;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrparcnegocio ($nrparcnegocio) {
        $this->nrparcnegocio = $nrparcnegocio;
        return $this;
    }

    public function getCdcliente () {
        return $this->cdcliente;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdcliente ($cdcliente) {
        $this->cdcliente = $cdcliente;
        return $this;
    }

    public function getCdfunc () {
        return $this->cdfunc;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdfunc ($cdfunc) {
        $this->cdfunc = $cdfunc;
        return $this;
    }

    public function getCdmunicipio () {
        return $this->cdmunicipio;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdmunicipio ($cdmunicipio) {
        $this->cdmunicipio = $cdmunicipio;
        return $this;
    }

    public function getNmbairoper () {
        return $this->nmbairoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNmbairoper ($nmbairoper) {
        $this->nmbairoper = $nmbairoper;
        return $this;
    }

    public function getNmoperador () {
        return $this->nmoperador;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNmoperador ($nmoperador) {
        $this->nmoperador = $nmoperador;
        return $this;
    }

    public function getCdoperesplibsen () {
        return $this->cdoperesplibsen;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdoperesplibsen ($cdoperesplibsen) {
        $this->cdoperesplibsen = $cdoperesplibsen;
        return $this;
    }

    public function getIdcadprproceore () {
        return $this->idcadprproceore;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdcadprproceore ($idcadprproceore) {
        $this->idcadprproceore = $idcadprproceore;
        return $this;
    }

    public function getSgestado () {
        return $this->sgestado;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setSgestado ($sgestado) {
        $this->sgestado = $sgestado;
        return $this;
    }

    public function getHriniageoper () {
        return $this->hriniageoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setHriniageoper ($hriniageoper) {
        $this->hriniageoper = $hriniageoper;
        return $this;
    }

    public function getCdccoroper () {
        return $this->cdccoroper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdccoroper ($cdccoroper) {
        $this->cdccoroper = $cdccoroper;
        return $this;
    }

    public function getIdatuoperador () {
        return $this->idatuoperador;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdatuoperador ($idatuoperador) {
        $this->idatuoperador = $idatuoperador;
        return $this;
    }

    public function getDtultatusenh () {
        return $this->dtultatusenh;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtultatusenh ($dtultatusenh) {
        $this->dtultatusenh = $dtultatusenh;
        return $this;
    }

    public function getCdfilialselecionada () {
        return $this->cdfilialselecionada;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdfilialselecionada ($cdfilialselecionada) {
        $this->cdfilialselecionada = $cdfilialselecionada;
        return $this;
    }

    public function getNrorg () {
        return $this->nrorg;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorg ($nrorg) {
        $this->nrorg = $nrorg;
        return $this;
    }

    public function getNrcelularoper () {
        return $this->nrcelularoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrcelularoper ($nrcelularoper) {
        $this->nrcelularoper = $nrcelularoper;
        return $this;
    }

    public function getNrorgultatu () {
        return $this->nrorgultatu;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorgultatu ($nrorgultatu) {
        $this->nrorgultatu = $nrorgultatu;
        return $this;
    }

    public function getCdempresa () {
        return $this->cdempresa;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdempresa ($cdempresa) {
        $this->cdempresa = $cdempresa;
        return $this;
    }

    public function getCdoperinclusao () {
        return $this->cdoperinclusao;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdoperinclusao ($cdoperinclusao) {
        $this->cdoperinclusao = $cdoperinclusao;
        return $this;
    }

    public function getCdagenoper () {
        return $this->cdagenoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdagenoper ($cdagenoper) {
        $this->cdagenoper = $cdagenoper;
        return $this;
    }

    public function getDtinclusao () {
        return $this->dtinclusao;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtinclusao ($dtinclusao) {
        $this->dtinclusao = $dtinclusao;
        return $this;
    }

    public function getNrramaloper () {
        return $this->nrramaloper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrramaloper ($nrramaloper) {
        $this->nrramaloper = $nrramaloper;
        return $this;
    }

    public function getHrfimageoper () {
        return $this->hrfimageoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setHrfimageoper ($hrfimageoper) {
        $this->hrfimageoper = $hrfimageoper;
        return $this;
    }

    public function getDtultatuoper () {
        return $this->dtultatuoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDtultatuoper ($dtultatuoper) {
        $this->dtultatuoper = $dtultatuoper;
        return $this;
    }

    public function getNrorgselecionada () {
        return $this->nrorgselecionada;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorgselecionada ($nrorgselecionada) {
        $this->nrorgselecionada = $nrorgselecionada;
        return $this;
    }

    public function getNmacesso () {
        return $this->nmacesso;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNmacesso ($nmacesso) {
        $this->nmacesso = $nmacesso;
        return $this;
    }

    public function getDsendeoper () {
        return $this->dsendeoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setDsendeoper ($dsendeoper) {
        $this->dsendeoper = $dsendeoper;
        return $this;
    }

    public function getNroperrede () {
        return $this->nroperrede;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNroperrede ($nroperrede) {
        $this->nroperrede = $nroperrede;
        return $this;
    }

    public function getCdcargo () {
        return $this->cdcargo;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdcargo ($cdcargo) {
        $this->cdcargo = $cdcargo;
        return $this;
    }

    public function getNrteleoper () {
        return $this->nrteleoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrteleoper ($nrteleoper) {
        $this->nrteleoper = $nrteleoper;
        return $this;
    }

    public function getCdprochabfecope () {
        return $this->cdprochabfecope;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdprochabfecope ($cdprochabfecope) {
        $this->cdprochabfecope = $cdprochabfecope;
        return $this;
    }

    public function getCdsetor () {
        return $this->cdsetor;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdsetor ($cdsetor) {
        $this->cdsetor = $cdsetor;
        return $this;
    }

    public function getIdoperativo () {
        return $this->idoperativo;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdoperativo ($idoperativo) {
        $this->idoperativo = $idoperativo;
        return $this;
    }

    public function getCdpais () {
        return $this->cdpais;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdpais ($cdpais) {
        $this->cdpais = $cdpais;
        return $this;
    }

    public function getNrcepoper () {
        return $this->nrcepoper;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrcepoper ($nrcepoper) {
        $this->nrcepoper = $nrcepoper;
        return $this;
    }

    public function getIdtpoperador () {
        return $this->idtpoperador;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdtpoperador ($idtpoperador) {
        $this->idtpoperador = $idtpoperador;
        return $this;
    }

    public function getNrorgfilial () {
        return $this->nrorgfilial;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorgfilial ($nrorgfilial) {
        $this->nrorgfilial = $nrorgfilial;
        return $this;
    }

    public function getNrorgtrab () {
        return $this->nrorgtrab;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrorgtrab ($nrorgtrab) {
        $this->nrorgtrab = $nrorgtrab;
        return $this;
    }

    public function getNrestruttrab () {
        return $this->nrestruttrab;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setNrestruttrab ($nrestruttrab) {
        $this->nrestruttrab = $nrestruttrab;
        return $this;
    }

    public function getIdidioma () {
        return $this->ididioma;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdidioma ($ididioma) {
        $this->ididioma = $ididioma;
        return $this;
    }

    public function getSgoperador () {
        return $this->sgoperador;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setSgoperador ($sgoperador) {
        $this->sgoperador = $sgoperador;
        return $this;
    }

    /**
     * @return \Geral\Entities\Filial
     */
    public function getFilialselecionada() {
        if ($this->filialselecionada === null && ($this->cdfilialselecionada !== null)) {
            $id = array(
                "cdfilial" => $this->cdfilialselecionada,
                "nrorg" => $this->nrorg,
            );
            $this->filialselecionada = \Geral\Entities\Filial::getObject($id);
        }

        return $this->filialselecionada;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setFilialselecionada(\Geral\Entities\Filial $filialselecionada = null) {
        $this->filialselecionada = $filialselecionada;
        if($filialselecionada === null) {
            $this->cdfilialselecionada = null;
$this->nrorg = null;
        } else {
            $this->cdfilialselecionada = $filialselecionada->getCdfilial();
$this->nrorg = $filialselecionada->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Cliente
     */
    public function getCliente() {
        if ($this->cliente === null && ($this->cdcliente !== null)) {
            $id = array(
                "cdcliente" => $this->cdcliente,
                "nrorg" => $this->nrorg,
            );
            $this->cliente = \Geral\Entities\Cliente::getObject($id);
        }

        return $this->cliente;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCliente(\Geral\Entities\Cliente $cliente = null) {
        $this->cliente = $cliente;
        if($cliente === null) {
            $this->cdcliente = null;
$this->nrorg = null;
        } else {
            $this->cdcliente = $cliente->getCdcliente();
$this->nrorg = $cliente->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Organizacao
     */
    public function getOrgselecionada() {
        if ($this->orgselecionada === null && ($this->nrorgselecionada !== null)) {
            $id = array(
                "nrorg" => $this->nrorgselecionada,
            );
            $this->orgselecionada = \Geral\Entities\Organizacao::getObject($id);
        }

        return $this->orgselecionada;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setOrgselecionada(\Geral\Entities\Organizacao $orgselecionada = null) {
        $this->orgselecionada = $orgselecionada;
        if($orgselecionada === null) {
            $this->nrorgselecionada = null;
        } else {
            $this->nrorgselecionada = $orgselecionada->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Parcnegocio
     */
    public function getParcnegocio() {
        if ($this->parcnegocio === null && ($this->nrparcnegocio !== null)) {
            $id = array(
                "nrparcnegocio" => $this->nrparcnegocio,
                "nrorg" => $this->nrorg,
            );
            $this->parcnegocio = \Geral\Entities\Parcnegocio::getObject($id);
        }

        return $this->parcnegocio;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setParcnegocio(\Geral\Entities\Parcnegocio $parcnegocio = null) {
        $this->parcnegocio = $parcnegocio;
        if($parcnegocio === null) {
            $this->nrparcnegocio = null;
$this->nrorg = null;
        } else {
            $this->nrparcnegocio = $parcnegocio->getNrparcnegocio();
$this->nrorg = $parcnegocio->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Municipio
     */
    public function getMunicipio() {
        if ($this->municipio === null && ($this->cdmunicipio !== null)) {
            $id = array(
                "cdpais" => $this->cdpais,
                "sgestado" => $this->sgestado,
                "cdmunicipio" => $this->cdmunicipio,
            );
            $this->municipio = \Geral\Entities\Municipio::getObject($id);
        }

        return $this->municipio;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setMunicipio(\Geral\Entities\Municipio $municipio = null) {
        $this->municipio = $municipio;
        if($municipio === null) {
            $this->cdpais = null;
$this->sgestado = null;
$this->cdmunicipio = null;
        } else {
            $this->cdpais = $municipio->getCdpais();
$this->sgestado = $municipio->getSgestado();
$this->cdmunicipio = $municipio->getCdmunicipio();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Cargo
     */
    public function getCargo() {
        if ($this->cargo === null && ($this->cdcargo !== null)) {
            $id = array(
                "cdcargo" => $this->cdcargo,
                "nrorg" => $this->nrorg,
            );
            $this->cargo = \Geral\Entities\Cargo::getObject($id);
        }

        return $this->cargo;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCargo(\Geral\Entities\Cargo $cargo = null) {
        $this->cargo = $cargo;
        if($cargo === null) {
            $this->cdcargo = null;
$this->nrorg = null;
        } else {
            $this->cdcargo = $cargo->getCdcargo();
$this->nrorg = $cargo->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Funcionario
     */
    public function getFunc() {
        if ($this->func === null && ($this->cdfunc !== null)) {
            $id = array(
                "cdempresa" => $this->cdempresa,
                "cdfunc" => $this->cdfunc,
                "nrorg" => $this->nrorg,
            );
            $this->func = \Geral\Entities\Funcionario::getObject($id);
        }

        return $this->func;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setFunc(\Geral\Entities\Funcionario $func = null) {
        $this->func = $func;
        if($func === null) {
            $this->cdempresa = null;
$this->cdfunc = null;
$this->nrorg = null;
        } else {
            $this->cdempresa = $func->getCdempresa();
$this->cdfunc = $func->getCdfunc();
$this->nrorg = $func->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Setor
     */
    public function getSetor() {
        if ($this->setor === null && ($this->cdsetor !== null)) {
            $id = array(
                "cdsetor" => $this->cdsetor,
                "nrorg" => $this->nrorg,
            );
            $this->setor = \Geral\Entities\Setor::getObject($id);
        }

        return $this->setor;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setSetor(\Geral\Entities\Setor $setor = null) {
        $this->setor = $setor;
        if($setor === null) {
            $this->cdsetor = null;
$this->nrorg = null;
        } else {
            $this->cdsetor = $setor->getCdsetor();
$this->nrorg = $setor->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function getOperesplibsen() {
        if ($this->operesplibsen === null && ($this->cdoperesplibsen !== null)) {
            $id = array(
                "cdoperador" => $this->cdoperesplibsen,
            );
            $this->operesplibsen = \Geral\Entities\Operador::getObject($id);
        }

        return $this->operesplibsen;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setOperesplibsen(\Geral\Entities\Operador $operesplibsen = null) {
        $this->operesplibsen = $operesplibsen;
        if($operesplibsen === null) {
            $this->cdoperesplibsen = null;
        } else {
            $this->cdoperesplibsen = $operesplibsen->getCdoperador();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Perfilacesso
     */
    public function getPerfilselecionado() {
        if ($this->perfilselecionado === null && ($this->nrperfilselecionado !== null)) {
            $id = array(
                "nrperfilacesso" => $this->nrperfilselecionado,
                "nrorg" => $this->nrorgselecionada,
            );
            $this->perfilselecionado = \Geral\Entities\Perfilacesso::getObject($id);
        }

        return $this->perfilselecionado;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setPerfilselecionado(\Geral\Entities\Perfilacesso $perfilselecionado = null) {
        $this->perfilselecionado = $perfilselecionado;
        if($perfilselecionado === null) {
            $this->nrperfilselecionado = null;
$this->nrorgselecionada = null;
        } else {
            $this->nrperfilselecionado = $perfilselecionado->getNrperfilacesso();
$this->nrorgselecionada = $perfilselecionado->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Organizacao
     */
    public function getOrgtrab() {
        if ($this->orgtrab === null && ($this->nrorgtrab !== null)) {
            $id = array(
                "nrorg" => $this->nrorgtrab,
            );
            $this->orgtrab = \Geral\Entities\Organizacao::getObject($id);
        }

        return $this->orgtrab;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setOrgtrab(\Geral\Entities\Organizacao $orgtrab = null) {
        $this->orgtrab = $orgtrab;
        if($orgtrab === null) {
            $this->nrorgtrab = null;
        } else {
            $this->nrorgtrab = $orgtrab->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Tradidioma
     */
    public function getIdioma() {
        if ($this->idioma === null && ($this->ididioma !== null)) {
            $id = array(
                "ididioma" => $this->ididioma,
            );
            $this->idioma = \Geral\Entities\Tradidioma::getObject($id);
        }

        return $this->idioma;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setIdioma(\Geral\Entities\Tradidioma $idioma = null) {
        $this->idioma = $idioma;
        if($idioma === null) {
            $this->ididioma = null;
        } else {
            $this->ididioma = $idioma->getIdidioma();
        }

        return $this;
    }

    /**
     * @return \Geral\Entities\Estruturam
     */
    public function getEstruttrab() {
        if ($this->estruttrab === null && ($this->nrestruttrab !== null)) {
            $id = array(
                "nrestruturam" => $this->nrestruttrab,
                "nrorg" => $this->nrorgtrab,
            );
            $this->estruttrab = \Geral\Entities\Estruturam::getObject($id);
        }

        return $this->estruttrab;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setEstruttrab(\Geral\Entities\Estruturam $estruttrab = null) {
        $this->estruttrab = $estruttrab;
        if($estruttrab === null) {
            $this->nrestruttrab = null;
$this->nrorgtrab = null;
        } else {
            $this->nrestruttrab = $estruttrab->getNrestruturam();
$this->nrorgtrab = $estruttrab->getNrorg();
        }

        return $this;
    }
    
    
    /**
     * @return \Geral\Entities\Perfilacesso
     */
    public function getCdPerfilselecionado() {
        if ($this->perfilselecionado === null && ($this->nrperfilselecionado !== null)) {
            $id = array(
                "nrperfilacesso" => $this->nrperfilselecionado,
                "nrorg" => $this->nrorgselecionada,
            );
            $this->perfilselecionado = \Geral\Entities\Perfilacesso::getObject($id);
        }

        return $this->perfilselecionado;
    }

    /**
     * @return \Geral\Entities\Operador
     */
    public function setCdPerfilselecionado(\Geral\Entities\Perfilacesso $perfilselecionado = null) {
        $this->perfilselecionado = $perfilselecionado;
        if($perfilselecionado === null) {
            $this->cdperfilselecionado = null;
            $this->nrorgselecionada = null;
        } else {
            $this->cdperfilselecionado = $perfilselecionado->getNrperfilacesso();
            $this->nrorgselecionada = $perfilselecionado->getNrorg();
        }

        return $this;
    }


}