<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class BandeSitef {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}

	public function	getNrseqbandeira($NRORG){
		$params = array(':NRORG' => $NRORG);
		$NRSEQBANDEIRA = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_MAX_NRSEQBANDEIRA, $params);
		if (empty($NRSEQBANDEIRA)){
			return '0000000001';
		}else{
			return str_pad($NRSEQBANDEIRA[0]['NRSEQBANDEIRA'], 10, '0', STR_PAD_LEFT);
		}
		return str_pad($NRSEQBANDEIRA[0]['NRSEQBANDEIRA'], 10, '0', STR_PAD_LEFT);
	}

	public function	getNrseqbandeiraFil($NRORG, $CDFILIAL){
		$params = array(
			':CDFILIAL' => $CDFILIAL,
			':NRORG' => $NRORG
		);
		$NRSEQBANDEIRA = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_MAX_NRSEQBANDEIRA_FILIAL, $params);
		if (empty($NRSEQBANDEIRA)){
			return '0000000001';
		}else{
			return str_pad($NRSEQBANDEIRA[0]['NRSEQBANDEIRA'], 10, '0', STR_PAD_LEFT);
		}
		return str_pad($NRSEQBANDEIRA[0]['NRSEQBANDEIRA'], 10, '0', STR_PAD_LEFT);
	}
}